X2Go Bug report logs - #1031
x2goserver stops accepting new sessions after some years of working

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Arne Wichmann <aw@anhrefn.saar.de>

Date: Fri, 29 Apr 2016 13:55:01 UTC

Severity: normal

Tags: patch

Found in version 3.0.99-3

Done: Mihai Moldovan <ionic@ionic.de>

Bug is archived. No further changes may be made.

Full log


🔗 View this message in rfc822 format

MIME-Version: 1.0
X-Mailer: MIME-tools 5.507 (Entity 5.507)
X-Loop: owner@bugs.x2go.org
From: owner@bugs.x2go.org (X2Go Bug Tracking System)
Subject: Bug#1031 closed by Mihai Moldovan <ionic@ionic.de> (Re:
 [X2Go-Dev] x2goserver stops accepting new sessions after some years of
 working)
Message-ID: <handler.1031.b1031.151288407226047.notifdone@bugs.x2go.org>
References: <06bd4c45-a05b-92c3-78b7-e15c0b783ec0@ionic.de>
X-X2go-PR-Keywords: patch
X-X2go-PR-Message: they-closed 1031
X-X2go-PR-Package: x2goserver
X-X2go-PR-Source: x2goserver
Date: Sun, 10 Dec 2017 05:35:03 +0000
Content-Type: multipart/mixed; boundary="----------=_1512884103-26081-0"
[Message part 1 (text/plain, inline)]
This is an automatic notification regarding your Bug report
which was filed against the x2goserver package:

#1031: x2goserver stops accepting new sessions after some years of working

It has been closed by Mihai Moldovan <ionic@ionic.de>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mihai Moldovan <ionic@ionic.de> by
replying to this email.


-- 
1031: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1031
X2Go Bug Tracking System
Contact owner@bugs.x2go.org with problems
[Message part 2 (message/rfc822, inline)]
From: Mihai Moldovan <ionic@ionic.de>
To: Arne Wichmann <aw@anhrefn.saar.de>, 1031@bugs.x2go.org
Subject: Re: [X2Go-Dev] x2goserver stops accepting new sessions after some years of working
Date: Sun, 10 Dec 2017 06:34:07 +0100
[Message part 3 (text/plain, inline)]
control: close -1


* On 04/29/2016 03:46 PM, Arne Wichmann wrote:
> After some years of working x2goserver stopped accepting sessions - after
> some debugging it turned out that the list of used ports in the database
> was never cleaned up.

It looks like this bug was fixed in X2Go Server 3.1.0.0 (shortly after the
version you are/have been using.)

Closing up.



Mihai

[signature.asc (application/pgp-signature, attachment)]
[Message part 5 (message/rfc822, inline)]
From: Arne Wichmann <aw@anhrefn.saar.de>
To: submit@bugs.x2go.org
Subject: x2goserver stops accepting new sessions after some years of working
Date: Fri, 29 Apr 2016 15:46:29 +0200
[Message part 6 (text/plain, inline)]
Package: x2goserver
Version: 3.0.99-3
Tags: patch

After some years of working x2goserver stopped accepting sessions - after
some debugging it turned out that the list of used ports in the database
was never cleaned up.

--- /usr/sbin/x2gocleansessions 2016-01-18 12:45:22.794498999 +0100
+++ /usr/sbin/x2gocleansessions.151214  2015-12-14 16:26:55.979026003 +0100
@@ -2,10 +2,6 @@
 use Sys::Hostname;
 use strict;
 
-use lib "/usr/lib/x2go";
-use x2godbwrapper; 
-
-
 sub check_pid
 {
    my $pid=shift;
@@ -105,6 +101,5 @@
        }       
      }
   }
-  db_cleanports() or warn "cleanports failed";
  }
 }
--- /usr/lib/x2go/x2godbwrapper.pm      2016-01-18 12:05:26.544499000 +0100
+++ /usr/lib/x2go/x2godbwrapper.pm.151214       2015-12-14 16:25:17.759026003 +0100
@@ -59,12 +59,10 @@
 
 use base 'Exporter';
 
-our @EXPORT=('db_listsessions','db_listsessions_all', 'db_getservers',
-  'db_getagent', 'db_resume', 'db_changestatus', 'db_getdisplays',
-  'db_insertsession', 'db_getports', 'db_insertport', 'db_createsession',
-  'db_insertmount', 'db_getmounts', 'db_deletemount', 'db_getdisplay',
-  'dbsys_getmounts', 'dbsys_listsessionsroot', 'dbsys_listsessionsroot_all',
-  'dbsys_rmsessionsroot', 'db_cleanports');
+our @EXPORT=('db_listsessions','db_listsessions_all', 'db_getservers', 'db_getagent', 'db_resume', 'db_changestatus', 
+            'db_getdisplays', 'db_insertsession', 'db_getports', 'db_insertport', 'db_createsession', 'db_insertmount', 
+            'db_getmounts', 'db_deletemount', 'db_getdisplay', 'dbsys_getmounts', 'dbsys_listsessionsroot', 
+            'dbsys_listsessionsroot_all', 'dbsys_rmsessionsroot');
 
             
             
@@ -409,15 +407,7 @@
        {
           return split("\n",`sudo -u x2gouser x2gosqlitewrapper getports $server`);
        }
-}
 
-# throw away all ports for which no matching session exists
-sub db_cleanports {
-  if($backend eq 'postgres') {
-    my $dbh=DBI->connect("dbi:Pg:dbname=$db;host=$host;port=$port;", "$dbuser", "$dbpass",{AutoCommit => 1}) or die $_;
-    my $sth=$dbh->prepare("delete from used_ports where port in (select port from used_ports natural left join sessions  where status is null)");
-    $sth->execute()or die;
-  } else { die "not implemented - possibly not needed"; }
 }
 
 sub db_getservers


-- 
[...] If you don't want to be restricted, don't agree to it. If you are
coerced, comply as much as you must to protect yourself, just don't support
it. Noone can free you but yourself. (crag, on Debian Planet)
Arne Wichmann (aw@saar.de)
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Jul 19 05:08:50 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.